> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stairoids.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom signal categories

> Your org-defined CUSTOM signal categories. For the built-in signal vocabulary, use /signal-types.



## OpenAPI

````yaml https://app.stairoids.com/api/docs/public get /public/v1/signal-categories
openapi: 3.0.1
info:
  title: Stairoids API
  description: The Next Generation API
  version: '1.0'
servers:
  - url: http://app.stairoids.com/api
    description: Generated server url
security:
  - ApiKeyAuth: []
tags:
  - name: Public API - Funnel
    description: Funnel stages, distribution, and pipeline trend metrics.
  - name: Public API - Attribution
    description: Traffic sources, campaigns, and the accounts they drove.
  - name: Public API - Lead Scores
    description: Signal details and per-person scores.
  - name: Public API - Reference
    description: Your ICPs, personas, labels, account lists, and signal categories.
  - name: Public API - Activity
    description: Per-person and general (cross-company) signal feeds.
  - name: Public API - LinkedIn Ads
    description: LinkedIn ad campaigns, posts, likes, and company engagement.
  - name: Public API - Companies
    description: Search, look up, and read activity for scored companies.
  - name: Public API - Opportunities
    description: Your best outreach opportunities right now.
paths:
  /public/v1/signal-categories:
    get:
      tags:
        - Public API - Reference
      summary: List custom signal categories
      description: >-
        Your org-defined CUSTOM signal categories. For the built-in signal
        vocabulary, use /signal-types.
      operationId: getPublicSignalCategories
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicSignalCategoryDTO'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CustomError'
        '402':
          description: Payment Required
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PlanLimitError'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AgencyLimitError'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CustomError'
components:
  schemas:
    PublicSignalCategoryDTO:
      type: object
      properties:
        id:
          type: integer
          description: Category id.
          format: int64
          example: 2
        name:
          type: string
          description: Category name.
          example: Website intent
        description:
          type: string
          description: Category description.
          nullable: true
        score:
          type: integer
          description: Score contribution for signals in this category.
          format: int32
          nullable: true
          example: 10
      description: A signal category used to group buying signals.
    CustomError:
      type: object
      properties:
        errorType:
          type: string
          enum:
            - EMAIL_ALREADY_EXISTS
            - INVALID_EMAIL
            - UNAUTHORIZED
            - UNEXPECTED_ERROR
            - WRONG_PASSWORD
            - STILL_GENERATING
            - MISSING_HEADERS
            - USER_NOT_FOUND
            - WEAK_PASSWORD
            - VALIDATION_ERROR
            - NOT_FOUND
            - PLAN_LIMIT_EXCEEDED
            - FEATURE_NOT_AVAILABLE
            - PAYMENT_ERROR
            - ACTIVE_SUBSCRIPTION_EXISTS
            - AGENCY_LIMIT_EXCEEDED
            - PAYMENT_METHOD_REQUIRED
            - BILLED_BY_AGENCY
            - PAYMENT_AUTHENTICATION_REQUIRED
            - PLAN_BELOW_RECOMMENDED
            - TRIAL_NOT_ELIGIBLE
    PlanLimitError:
      type: object
      properties:
        errorType:
          type: string
          enum:
            - EMAIL_ALREADY_EXISTS
            - INVALID_EMAIL
            - UNAUTHORIZED
            - UNEXPECTED_ERROR
            - WRONG_PASSWORD
            - STILL_GENERATING
            - MISSING_HEADERS
            - USER_NOT_FOUND
            - WEAK_PASSWORD
            - VALIDATION_ERROR
            - NOT_FOUND
            - PLAN_LIMIT_EXCEEDED
            - FEATURE_NOT_AVAILABLE
            - PAYMENT_ERROR
            - ACTIVE_SUBSCRIPTION_EXISTS
            - AGENCY_LIMIT_EXCEEDED
            - PAYMENT_METHOD_REQUIRED
            - BILLED_BY_AGENCY
            - PAYMENT_AUTHENTICATION_REQUIRED
            - PLAN_BELOW_RECOMMENDED
            - TRIAL_NOT_ELIGIBLE
        category:
          type: string
        currentUsage:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
        addOnSlug:
          type: string
        planSlug:
          type: string
        addOnPriceMonthly:
          type: integer
          format: int32
        upgradePlanSlug:
          type: string
        upgradePlanName:
          type: string
        upgradePlanPriceMonthly:
          type: integer
          format: int32
    AgencyLimitError:
      type: object
      properties:
        errorType:
          type: string
          enum:
            - EMAIL_ALREADY_EXISTS
            - INVALID_EMAIL
            - UNAUTHORIZED
            - UNEXPECTED_ERROR
            - WRONG_PASSWORD
            - STILL_GENERATING
            - MISSING_HEADERS
            - USER_NOT_FOUND
            - WEAK_PASSWORD
            - VALIDATION_ERROR
            - NOT_FOUND
            - PLAN_LIMIT_EXCEEDED
            - FEATURE_NOT_AVAILABLE
            - PAYMENT_ERROR
            - ACTIVE_SUBSCRIPTION_EXISTS
            - AGENCY_LIMIT_EXCEEDED
            - PAYMENT_METHOD_REQUIRED
            - BILLED_BY_AGENCY
            - PAYMENT_AUTHENTICATION_REQUIRED
            - PLAN_BELOW_RECOMMENDED
            - TRIAL_NOT_ELIGIBLE
        category:
          type: string
        currentUsage:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Your organization's public API key. Manage it at GET
        /api/user/public-api-key.
      name: X-Api-Key
      in: header

````